/*
	Descrição: Funções da grid
    Autor: Adriano Angélico
	Data: 21/10/2015
	Versão: 1.0
*/

$(function () {
    // mostra ou oculta a grid
    $(".grid-footer-title").on("click", function () {
        // se a altura for igual à 250px apenas oculta a grid
        if ($(".footer").height() == 250) {
            $("span", this).removeClass().addClass("grid-slide-up");
            $(".footer").animate({ height: 25 });
            $(".ui-resizable-handle").hide();
        } else if ($(".footer").height() > 250) { // se a altura for maior que 250px diminui a grid para a altura de 250px
            $("span", this).removeClass().addClass("grid-slide-down");
            $(".footer").animate({ height: 250 });
            $(".ui-resizable-handle").show();
        } else { // caso a grid estiver oculta apenas abre a grid
            $("span", this).removeClass().addClass("grid-slide-down");
            $(".footer").animate({ height: 250 });
            $(".ui-resizable-handle").show();
        }
    });

    // resise da grid será feito como melhoria
    //$("#resizable").resizable({
    //    alsoResize: ".footer, .grid-footer, .wrap-grid, #grid, .slick-viewport",
    //    animate: false,
    //    handles: "n",
    //    maxHeight: 700,
    //    minHeight: 250,
    //    stop: function (event, ui) {
    //        grid.resizeCanvas();
    //    }
    //});
});